HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetPayouts

Contains the different functions to run the operation getPayouts

  • 7 types
  • 5 values
valuegetPayouts
  1. :: MonadHTTP m
  2. => GetPayoutsParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetPayoutsResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/payouts

<p>Returns a list of existing payouts sent to third-party bank accounts or that Stripe has sent you. The payouts are returned in sorted order, with the most recently created payouts appearing first.</p>

datadata GetPayoutsParameters
#

Defines the object schema located at paths./v1/payouts.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON
Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payouts.GET.parameters.properties.queryArrival_date.anyOf in the specification.

Represents the parameter named 'arrival_date'

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payouts.GET.parameters.properties.queryCreated.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payouts.GET.parameters.properties.queryCreated.anyOf in the specification.

Represents the parameter named 'created'

Instances4Eq, Show, FromJSON, ToJSON
datadata GetPayoutsResponse
#

Represents a response of the operation getPayouts.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetPayoutsResponseError is used.

Constructors

Instances2Eq, Show

Defines the object schema located at paths./v1/payouts.GET.responses.200.content.application/json.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON